GETPAGESIZE(3)

NAME
getpagesize - get system page size

LIBRARY
libc

SYNOPSIS
#include <unistd.h>
int
getpagesize(void);

DESCRIPTION
This interface is obsoleted by sysconf(3).

getpagesize() returns the number of bytes in a page. Page granularity is the granularity of many of the memory management calls.

The page size is a system page size and may not be the same as the underlying hardware page size.

SEE ALSO
pagesize(1), sbrk(2), sysconf(3)

HISTORY
The getpagesize function call appeared in 4.2BSD.